diff --git a/NetworkPkg/UefiPxeBcDxe/PxeBcImpl.c b/NetworkPkg/UefiPxeBcDxe/PxeBcImpl.c
index 5d18207..ba5ed9d 100644
--- a/NetworkPkg/UefiPxeBcDxe/PxeBcImpl.c
+++ b/NetworkPkg/UefiPxeBcDxe/PxeBcImpl.c
@@ -1492,30 +1503,31 @@ EfiPxeBcUdpRead (
             //
             // Copy the header part of received data.
             //
-            CopyMem ((UINT8 *) HeaderPtr + HeaderCopiedLen, FragmentBuffer, FragmentLength);
+            CopyMem ((UINT8 *)HeaderPtr + HeaderCopiedLen, FragmentBuffer, FragmentLength);
             HeaderCopiedLen += FragmentLength;
           } else if (HeaderCopiedLen < HeaderLen) {
             //
             // Copy the header part of received data.
             //
             CopiedLen = HeaderLen - HeaderCopiedLen;
-            CopyMem ((UINT8 *) HeaderPtr + HeaderCopiedLen, FragmentBuffer, CopiedLen);
+            CopyMem ((UINT8 *)HeaderPtr + HeaderCopiedLen, FragmentBuffer, CopiedLen);
             HeaderCopiedLen += CopiedLen;
 
             //
             // Copy the other part of received data.
             //
-            CopyMem ((UINT8 *) BufferPtr + BufferCopiedLen, FragmentBuffer + CopiedLen, FragmentLength - CopiedLen);
+            CopyMem ((UINT8 *)BufferPtr + BufferCopiedLen, FragmentBuffer + CopiedLen, FragmentLength - CopiedLen);
             BufferCopiedLen += (FragmentLength - CopiedLen);
           } else {
             //
             // Copy the other part of received data.
             //
-            CopyMem ((UINT8 *) BufferPtr + BufferCopiedLen, FragmentBuffer, FragmentLength);
+            CopyMem ((UINT8 *)BufferPtr + BufferCopiedLen, FragmentBuffer, FragmentLength);
             BufferCopiedLen += FragmentLength;
           }
         }
       }
+
       //
       // Recycle the receiving buffer after copy to user.
       //
@@ -1534,7 +1546,6 @@ EfiPxeBcUdpRead (
   return Status;
 }
 
-
 /**
   Updates the IP receive filters of a network device and enables software filtering.
 
@@ -1570,22 +1581,22 @@ EfiPxeBcUdpRead (
 EFI_STATUS
 EFIAPI
 EfiPxeBcSetIpFilter (
-  IN EFI_PXE_BASE_CODE_PROTOCOL       *This,
-  IN EFI_PXE_BASE_CODE_IP_FILTER      *NewFilter
+  IN EFI_PXE_BASE_CODE_PROTOCOL   *This,
+  IN EFI_PXE_BASE_CODE_IP_FILTER  *NewFilter
   )
 {
-  EFI_STATUS                Status;
-  PXEBC_PRIVATE_DATA        *Private;
-  EFI_PXE_BASE_CODE_MODE    *Mode;
-  EFI_UDP4_CONFIG_DATA      *Udp4Cfg;
-  EFI_UDP6_CONFIG_DATA      *Udp6Cfg;
-  UINTN                     Index;
-  BOOLEAN                   NeedPromiscuous;
-  BOOLEAN                   AcceptPromiscuous;
-  BOOLEAN                   AcceptBroadcast;
-  BOOLEAN                   MultiCastUpdate;
-
-  if (This == NULL || NewFilter == NULL) {
+  EFI_STATUS              Status;
+  PXEBC_PRIVATE_DATA      *Private;
+  EFI_PXE_BASE_CODE_MODE  *Mode;
+  EFI_UDP4_CONFIG_DATA    *Udp4Cfg;
+  EFI_UDP6_CONFIG_DATA    *Udp6Cfg;
+  UINTN                   Index;
+  BOOLEAN                 NeedPromiscuous;
+  BOOLEAN                 AcceptPromiscuous;
+  BOOLEAN                 AcceptBroadcast;
+  BOOLEAN                 MultiCastUpdate;
+
+  if ((This == NULL) || (NewFilter == NULL)) {
     return EFI_INVALID_PARAMETER;
   }
 
@@ -1601,22 +1612,26 @@ EfiPxeBcSetIpFilter (
   for (Index = 0; Index < NewFilter->IpCnt; Index++) {
     ASSERT (Index < EFI_PXE_BASE_CODE_MAX_IPCNT);
     if (!Mode->UsingIpv6 &&
-        IP4_IS_LOCAL_BROADCAST (EFI_IP4 (NewFilter->IpList[Index].v4))) {
+        IP4_IS_LOCAL_BROADCAST (EFI_IP4 (NewFilter->IpList[Index].v4)))
+    {
       //
       // IPv4 broadcast address should not be in IP filter.
       //
       return EFI_INVALID_PARAMETER;
     }
+
     if (Mode->UsingIpv6) {
-      if ((NewFilter->Filters & EFI_PXE_BASE_CODE_IP_FILTER_STATION_IP) != 0 &&
-          NetIp6IsValidUnicast (&NewFilter->IpList[Index].v6)) {
+      if (((NewFilter->Filters & EFI_PXE_BASE_CODE_IP_FILTER_STATION_IP) != 0) &&
+          NetIp6IsValidUnicast (&NewFilter->IpList[Index].v6))
+      {
         NeedPromiscuous = TRUE;
       }
-    } else if ((EFI_NTOHL(Mode->StationIp) != 0) &&
-               (EFI_NTOHL(Mode->SubnetMask) != 0) &&
-               IP4_NET_EQUAL(EFI_NTOHL(Mode->StationIp), EFI_NTOHL(NewFilter->IpList[Index].v4), EFI_NTOHL(Mode->SubnetMask.v4)) &&
-               NetIp4IsUnicast (EFI_IP4 (NewFilter->IpList[Index].v4), EFI_NTOHL(Mode->SubnetMask)) &&
-               ((NewFilter->Filters & EFI_PXE_BASE_CODE_IP_FILTER_STATION_IP) != 0)) {
+    } else if ((EFI_NTOHL (Mode->StationIp) != 0) &&
+               (EFI_NTOHL (Mode->SubnetMask) != 0) &&
+               IP4_NET_EQUAL (EFI_NTOHL (Mode->StationIp), EFI_NTOHL (NewFilter->IpList[Index].v4), EFI_NTOHL (Mode->SubnetMask.v4)) &&
+               NetIp4IsUnicast (EFI_IP4 (NewFilter->IpList[Index].v4), EFI_NTOHL (Mode->SubnetMask)) &&
+               ((NewFilter->Filters & EFI_PXE_BASE_CODE_IP_FILTER_STATION_IP) != 0))
+    {
       NeedPromiscuous = TRUE;
     }
   }
@@ -1626,8 +1641,9 @@ EfiPxeBcSetIpFilter (
   MultiCastUpdate   = FALSE;
 
   if (NeedPromiscuous ||
-      (NewFilter->Filters & EFI_PXE_BASE_CODE_IP_FILTER_PROMISCUOUS) != 0 ||
-      (NewFilter->Filters & EFI_PXE_BASE_CODE_IP_FILTER_PROMISCUOUS_MULTICAST) != 0) {
+      ((NewFilter->Filters & EFI_PXE_BASE_CODE_IP_FILTER_PROMISCUOUS) != 0) ||
+      ((NewFilter->Filters & EFI_PXE_BASE_CODE_IP_FILTER_PROMISCUOUS_MULTICAST) != 0))
+  {
     //
     // Configure UDPv4/UDPv6 as promiscuous mode to receive all packets.
     //
@@ -1636,7 +1652,7 @@ EfiPxeBcSetIpFilter (
     //
     // Configure UDPv4 to receive all broadcast packets.
     //
-    AcceptBroadcast  = TRUE;
+    AcceptBroadcast = TRUE;
   }
 
   //
@@ -1661,7 +1677,8 @@ EfiPxeBcSetIpFilter (
     //
     Udp4Cfg = &Private->Udp4CfgData;
     if ((AcceptPromiscuous != Udp4Cfg->AcceptPromiscuous)   ||
-        (AcceptBroadcast != Udp4Cfg->AcceptBroadcast)     || MultiCastUpdate) {
+        (AcceptBroadcast != Udp4Cfg->AcceptBroadcast)     || MultiCastUpdate)
+    {
       //
       // Clear the UDP4 instance configuration, all joined groups will be left
       // during the operation.
@@ -1673,7 +1690,7 @@ EfiPxeBcSetIpFilter (
       //
       Udp4Cfg->AcceptPromiscuous = AcceptPromiscuous;
       Udp4Cfg->AcceptBroadcast   = AcceptBroadcast;
-      Status = Private->Udp4Read->Configure (Private->Udp4Read, Udp4Cfg);
+      Status                     = Private->Udp4Read->Configure (Private->Udp4Read, Udp4Cfg);
       if (EFI_ERROR (Status)) {
         return Status;
       }
@@ -1711,7 +1728,7 @@ EfiPxeBcSetIpFilter (
       // Configure the UDP instance with the new configuration.
       //
       Udp6Cfg->AcceptPromiscuous = AcceptPromiscuous;
-      Status = Private->Udp6Read->Configure (Private->Udp6Read, Udp6Cfg);
+      Status                     = Private->Udp6Read->Configure (Private->Udp6Read, Udp6Cfg);
       if (EFI_ERROR (Status)) {
         return Status;
       }
@@ -1743,7 +1760,6 @@ EfiPxeBcSetIpFilter (
   return Status;
 }
 
-
 /**
   Uses the ARP protocol to resolve a MAC address. It is not supported for IPv6.
 
@@ -1772,9 +1788,9 @@ EfiPxeBcSetIpFilter (
 EFI_STATUS
 EFIAPI
 EfiPxeBcArp (
-  IN EFI_PXE_BASE_CODE_PROTOCOL       *This,
-  IN EFI_IP_ADDRESS                   *IpAddr,
-  IN EFI_MAC_ADDRESS                  *MacAddr OPTIONAL
+  IN EFI_PXE_BASE_CODE_PROTOCOL  *This,
+  IN EFI_IP_ADDRESS              *IpAddr,
+  IN EFI_MAC_ADDRESS             *MacAddr OPTIONAL
   )
 {
   PXEBC_PRIVATE_DATA      *Private;
@@ -1785,7 +1801,7 @@ EfiPxeBcArp (
   EFI_MAC_ADDRESS         ZeroMac;
   BOOLEAN                 IsResolved;
 
-  if (This == NULL || IpAddr == NULL) {
+  if ((This == NULL) || (IpAddr == NULL)) {
     return EFI_INVALID_PARAMETER;
   }
 
@@ -1839,7 +1855,7 @@ EfiPxeBcArp (
     // If AutoArp is TRUE, try to send Arp request on initiative.
     //
     Status = Private->Arp->Request (Private->Arp, &IpAddr->v4, ResolvedEvent, &TempMac);
-    if (EFI_ERROR (Status) && Status != EFI_NOT_READY) {
+    if (EFI_ERROR (Status) && (Status != EFI_NOT_READY)) {
       goto ON_EXIT;
     }
 
@@ -1848,6 +1864,7 @@ EfiPxeBcArp (
         break;
       }
     }
+
     if (CompareMem (&TempMac, &ZeroMac, sizeof (EFI_MAC_ADDRESS)) != 0) {
       Status = EFI_SUCCESS;
     } else {
@@ -1858,7 +1875,7 @@ EfiPxeBcArp (
   //
   // Copy the Mac address to user if needed.
   //
-  if (MacAddr != NULL && !EFI_ERROR (Status)) {
+  if ((MacAddr != NULL) && !EFI_ERROR (Status)) {
     CopyMem (MacAddr, &TempMac, sizeof (EFI_MAC_ADDRESS));
   }
 
@@ -1866,10 +1883,10 @@ ON_EXIT:
   if (ResolvedEvent != NULL) {
     gBS->CloseEvent (ResolvedEvent);
   }
+
   return Status;
 }
 
-
 /**
   Updates the parameters that affect the operation of the PXE Base Code Protocol.
 
@@ -1905,12 +1922,12 @@ ON_EXIT:
 EFI_STATUS
 EFIAPI
 EfiPxeBcSetParameters (
-  IN EFI_PXE_BASE_CODE_PROTOCOL       *This,
-  IN BOOLEAN                          *NewAutoArp         OPTIONAL,
-  IN BOOLEAN                          *NewSendGUID        OPTIONAL,
-  IN UINT8                            *NewTTL             OPTIONAL,
-  IN UINT8                            *NewToS             OPTIONAL,
-  IN BOOLEAN                          *NewMakeCallback    OPTIONAL
+  IN EFI_PXE_BASE_CODE_PROTOCOL  *This,
+  IN BOOLEAN                     *NewAutoArp         OPTIONAL,
+  IN BOOLEAN                     *NewSendGUID        OPTIONAL,
+  IN UINT8                       *NewTTL             OPTIONAL,
+  IN UINT8                       *NewToS             OPTIONAL,
+  IN BOOLEAN                     *NewMakeCallback    OPTIONAL
   )
 {
   PXEBC_PRIVATE_DATA      *Private;
@@ -1937,7 +1954,7 @@ EfiPxeBcSetParameters (
       Status = gBS->HandleProtocol (
                       Mode->UsingIpv6 ? Private->Ip6Nic->Controller : Private->Ip4Nic->Controller,
                       &gEfiPxeBaseCodeCallbackProtocolGuid,
-                      (VOID **) &Private->PxeBcCallback
+                      (VOID **)&Private->PxeBcCallback
                       );
 
       if (EFI_ERROR (Status) || (Private->PxeBcCallback->Callback == NULL)) {
@@ -1946,6 +1963,7 @@ EfiPxeBcSetParameters (
     } else {
       Private->PxeBcCallback = NULL;
     }
+
     Mode->MakeCallbacks = *NewMakeCallback;
   }
 
@@ -1972,7 +1990,6 @@ EfiPxeBcSetParameters (
   return EFI_SUCCESS;
 }
 
-
 /**
   Updates the station IP address and/or subnet mask values of a network device.
 
@@ -1997,9 +2014,9 @@ EfiPxeBcSetParameters (
 EFI_STATUS
 EFIAPI
 EfiPxeBcSetStationIP (
-  IN EFI_PXE_BASE_CODE_PROTOCOL       *This,
-  IN EFI_IP_ADDRESS                   *NewStationIp    OPTIONAL,
-  IN EFI_IP_ADDRESS                   *NewSubnetMask   OPTIONAL
+  IN EFI_PXE_BASE_CODE_PROTOCOL  *This,
+  IN EFI_IP_ADDRESS              *NewStationIp    OPTIONAL,
+  IN EFI_IP_ADDRESS              *NewSubnetMask   OPTIONAL
   )
 {
   EFI_STATUS              Status;
@@ -2010,7 +2027,7 @@ EfiPxeBcSetStationIP (
     return EFI_INVALID_PARAMETER;
   }
 
-  if (NewStationIp != NULL && !NetIp6IsValidUnicast (&NewStationIp->v6)) {
+  if ((NewStationIp != NULL) && !NetIp6IsValidUnicast (&NewStationIp->v6)) {
     return EFI_INVALID_PARAMETER;
   }
 
@@ -2019,15 +2036,17 @@ EfiPxeBcSetStationIP (
   Status  = EFI_SUCCESS;
 
   if (!Mode->UsingIpv6 &&
-      NewSubnetMask != NULL &&
-      !IP4_IS_VALID_NETMASK (NTOHL (NewSubnetMask->Addr[0]))) {
+      (NewSubnetMask != NULL) &&
+      !IP4_IS_VALID_NETMASK (NTOHL (NewSubnetMask->Addr[0])))
+  {
     return EFI_INVALID_PARAMETER;
   }
 
-  if (!Mode->UsingIpv6 && NewStationIp != NULL) {
-    if (IP4_IS_UNSPECIFIED(NTOHL (NewStationIp->Addr[0])) ||
-        IP4_IS_LOCAL_BROADCAST(NTOHL (NewStationIp->Addr[0])) ||
-        (NewSubnetMask != NULL && NewSubnetMask->Addr[0] != 0 && !NetIp4IsUnicast (NTOHL (NewStationIp->Addr[0]), NTOHL (NewSubnetMask->Addr[0])))) {
+  if (!Mode->UsingIpv6 && (NewStationIp != NULL)) {
+    if (IP4_IS_UNSPECIFIED (NTOHL (NewStationIp->Addr[0])) ||
+        IP4_IS_LOCAL_BROADCAST (NTOHL (NewStationIp->Addr[0])) ||
+        ((NewSubnetMask != NULL) && (NewSubnetMask->Addr[0] != 0) && !NetIp4IsUnicast (NTOHL (NewStationIp->Addr[0]), NTOHL (NewSubnetMask->Addr[0]))))
+    {
       return EFI_INVALID_PARAMETER;
     }
   }
@@ -2036,7 +2055,7 @@ EfiPxeBcSetStationIP (
     return EFI_NOT_STARTED;
   }
 
-  if (Mode->UsingIpv6 && NewStationIp != NULL) {
+  if (Mode->UsingIpv6 && (NewStationIp != NULL)) {
     //
     // Set the IPv6 address by Ip6Config protocol.
     //
@@ -2051,9 +2070,9 @@ EfiPxeBcSetStationIP (
     CopyMem (&Private->StationIp, NewStationIp, sizeof (EFI_IP_ADDRESS));
   }
 
-  if (!Mode->UsingIpv6 && NewSubnetMask != NULL) {
+  if (!Mode->UsingIpv6 && (NewSubnetMask != NULL)) {
     CopyMem (&Mode->SubnetMask, NewSubnetMask, sizeof (EFI_IP_ADDRESS));
-    CopyMem (&Private->SubnetMask ,NewSubnetMask, sizeof (EFI_IP_ADDRESS));
+    CopyMem (&Private->SubnetMask, NewSubnetMask, sizeof (EFI_IP_ADDRESS));
   }
 
   Status = PxeBcFlushStationIp (Private, NewStationIp, NewSubnetMask);
@@ -2065,7 +2084,6 @@ ON_EXIT:
   return Status;
 }
 
-
 /**
   Updates the contents of the cached DHCP and Discover packets.
 
@@ -2101,19 +2119,19 @@ ON_EXIT:
 EFI_STATUS
 EFIAPI
 EfiPxeBcSetPackets (
-  IN EFI_PXE_BASE_CODE_PROTOCOL       *This,
-  IN BOOLEAN                          *NewDhcpDiscoverValid      OPTIONAL,
-  IN BOOLEAN                          *NewDhcpAckReceived        OPTIONAL,
-  IN BOOLEAN                          *NewProxyOfferReceived     OPTIONAL,
-  IN BOOLEAN                          *NewPxeDiscoverValid       OPTIONAL,
-  IN BOOLEAN                          *NewPxeReplyReceived       OPTIONAL,
-  IN BOOLEAN                          *NewPxeBisReplyReceived    OPTIONAL,
-  IN EFI_PXE_BASE_CODE_PACKET         *NewDhcpDiscover           OPTIONAL,
-  IN EFI_PXE_BASE_CODE_PACKET         *NewDhcpAck                OPTIONAL,
-  IN EFI_PXE_BASE_CODE_PACKET         *NewProxyOffer             OPTIONAL,
-  IN EFI_PXE_BASE_CODE_PACKET         *NewPxeDiscover            OPTIONAL,
-  IN EFI_PXE_BASE_CODE_PACKET         *NewPxeReply               OPTIONAL,
-  IN EFI_PXE_BASE_CODE_PACKET         *NewPxeBisReply            OPTIONAL
+  IN EFI_PXE_BASE_CODE_PROTOCOL  *This,
+  IN BOOLEAN                     *NewDhcpDiscoverValid      OPTIONAL,
+  IN BOOLEAN                     *NewDhcpAckReceived        OPTIONAL,
+  IN BOOLEAN                     *NewProxyOfferReceived     OPTIONAL,
+  IN BOOLEAN                     *NewPxeDiscoverValid       OPTIONAL,
+  IN BOOLEAN                     *NewPxeReplyReceived       OPTIONAL,
+  IN BOOLEAN                     *NewPxeBisReplyReceived    OPTIONAL,
+  IN EFI_PXE_BASE_CODE_PACKET    *NewDhcpDiscover           OPTIONAL,
+  IN EFI_PXE_BASE_CODE_PACKET    *NewDhcpAck                OPTIONAL,
+  IN EFI_PXE_BASE_CODE_PACKET    *NewProxyOffer             OPTIONAL,
+  IN EFI_PXE_BASE_CODE_PACKET    *NewPxeDiscover            OPTIONAL,
+  IN EFI_PXE_BASE_CODE_PACKET    *NewPxeReply               OPTIONAL,
+  IN EFI_PXE_BASE_CODE_PACKET    *NewPxeBisReply            OPTIONAL
   )
 {
   PXEBC_PRIVATE_DATA      *Private;
@@ -2198,7 +2216,6 @@ EFI_PXE_BASE_CODE_PROTOCOL  gPxeBcProtocolTemplate = {
   NULL
 };
 
-
 /**
   Callback function that is invoked when the PXE Base Code Protocol is about to transmit, has
   received, or is waiting to receive a packet.
@@ -2236,8 +2253,8 @@ EfiPxeLoadFileCallback (
   IN EFI_PXE_BASE_CODE_PACKET             *PacketPtr     OPTIONAL
   )
 {
-  EFI_INPUT_KEY       Key;
-  EFI_STATUS          Status;
+  EFI_INPUT_KEY  Key;
+  EFI_STATUS     Status;
 
   //
   // Catch Ctrl-C or ESC to abort.
@@ -2245,43 +2262,43 @@ EfiPxeLoadFileCallback (
   Status = gST->ConIn->ReadKeyStroke (gST->ConIn, &Key);
 
   if (!EFI_ERROR (Status)) {
-
-    if (Key.ScanCode == SCAN_ESC || Key.UnicodeChar == (0x1F & 'c')) {
-
+    if ((Key.ScanCode == SCAN_ESC) || (Key.UnicodeChar == (0x1F & 'c'))) {
       return EFI_PXE_BASE_CODE_CALLBACK_STATUS_ABORT;
     }
   }
+
   //
   // No print if receive packet
   //
   if (Received) {
     return EFI_PXE_BASE_CODE_CALLBACK_STATUS_CONTINUE;
   }
+
   //
   // Print only for three functions
   //
   switch (Function) {
-
-  case EFI_PXE_BASE_CODE_FUNCTION_MTFTP:
-    //
-    // Print only for open MTFTP packets, not every MTFTP packets
-    //
-    if (PacketLength != 0 && PacketPtr != NULL) {
-      if (PacketPtr->Raw[0x1C] != 0x00 || PacketPtr->Raw[0x1D] != 0x01) {
-        return EFI_PXE_BASE_CODE_CALLBACK_STATUS_CONTINUE;
+    case EFI_PXE_BASE_CODE_FUNCTION_MTFTP:
+      //
+      // Print only for open MTFTP packets, not every MTFTP packets
+      //
+      if ((PacketLength != 0) && (PacketPtr != NULL)) {
+        if ((PacketPtr->Raw[0x1C] != 0x00) || (PacketPtr->Raw[0x1D] != 0x01)) {
+          return EFI_PXE_BASE_CODE_CALLBACK_STATUS_CONTINUE;
+        }
       }
-    }
-    break;
 
-  case EFI_PXE_BASE_CODE_FUNCTION_DHCP:
-  case EFI_PXE_BASE_CODE_FUNCTION_DISCOVER:
-    break;
+      break;
 
-  default:
-    return EFI_PXE_BASE_CODE_CALLBACK_STATUS_CONTINUE;
+    case EFI_PXE_BASE_CODE_FUNCTION_DHCP:
+    case EFI_PXE_BASE_CODE_FUNCTION_DISCOVER:
+      break;
+
+    default:
+      return EFI_PXE_BASE_CODE_CALLBACK_STATUS_CONTINUE;
   }
 
-  if (PacketLength != 0 && PacketPtr != NULL) {
+  if ((PacketLength != 0) && (PacketPtr != NULL)) {
     //
     // Print '.' when transmit a packet
     //
@@ -2291,12 +2308,11 @@ EfiPxeLoadFileCallback (
   return EFI_PXE_BASE_CODE_CALLBACK_STATUS_CONTINUE;
 }
 
-EFI_PXE_BASE_CODE_CALLBACK_PROTOCOL gPxeBcCallBackTemplate = {
+EFI_PXE_BASE_CODE_CALLBACK_PROTOCOL  gPxeBcCallBackTemplate = {
   EFI_PXE_BASE_CODE_CALLBACK_PROTOCOL_REVISION,
   EfiPxeLoadFileCallback
 };
 
-
 /**
   Causes the driver to load a specified file.
 
@@ -2328,11 +2344,11 @@ EFI_PXE_BASE_CODE_CALLBACK_PROTOCOL gPxeBcCallBackTemplate = {
 EFI_STATUS
 EFIAPI
 EfiPxeLoadFile (
-  IN     EFI_LOAD_FILE_PROTOCOL           *This,
-  IN     EFI_DEVICE_PATH_PROTOCOL         *FilePath,
-  IN     BOOLEAN                          BootPolicy,
-  IN OUT UINTN                            *BufferSize,
-  IN     VOID                             *Buffer       OPTIONAL
+  IN     EFI_LOAD_FILE_PROTOCOL    *This,
+  IN     EFI_DEVICE_PATH_PROTOCOL  *FilePath,
+  IN     BOOLEAN                   BootPolicy,
+  IN OUT UINTN                     *BufferSize,
+  IN     VOID                      *Buffer       OPTIONAL
   )
 {
   PXEBC_PRIVATE_DATA          *Private;
@@ -2342,7 +2358,7 @@ EfiPxeLoadFile (
   EFI_STATUS                  Status;
   EFI_STATUS                  MediaStatus;
 
-  if (This == NULL || BufferSize == NULL || FilePath == NULL || !IsDevicePathEnd (FilePath)) {
+  if ((This == NULL) || (BufferSize == NULL) || (FilePath == NULL) || !IsDevicePathEnd (FilePath)) {
     return EFI_INVALID_PARAMETER;
   }
 
@@ -2379,7 +2395,7 @@ EfiPxeLoadFile (
   // Start Pxe Base Code to initialize PXE boot.
   //
   Status = PxeBc->Start (PxeBc, UsingIpv6);
-  if (Status == EFI_ALREADY_STARTED && UsingIpv6 != PxeBc->Mode->UsingIpv6) {
+  if ((Status == EFI_ALREADY_STARTED) && (UsingIpv6 != PxeBc->Mode->UsingIpv6)) {
     //
     // PxeBc protocol has already been started but not on the required IP version, restart it.
     //
@@ -2388,13 +2404,15 @@ EfiPxeLoadFile (
       Status = PxeBc->Start (PxeBc, UsingIpv6);
     }
   }
-  if (Status == EFI_SUCCESS || Status == EFI_ALREADY_STARTED) {
+
+  if ((Status == EFI_SUCCESS) || (Status == EFI_ALREADY_STARTED)) {
     Status = PxeBcLoadBootFile (Private, BufferSize, Buffer);
   }
 
-  if (Status != EFI_SUCCESS &&
-      Status != EFI_UNSUPPORTED &&
-      Status != EFI_BUFFER_TOO_SMALL) {
+  if ((Status != EFI_SUCCESS) &&
+      (Status != EFI_UNSUPPORTED) &&
+      (Status != EFI_BUFFER_TOO_SMALL))
+  {
     //
     // There are three cases, which needn't stop pxebc here.
     //   1. success to download file.
